package com.kingdee.eas.custom.dormitorysystem.dormitory;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class DormitoryFactory
{
    private DormitoryFactory()
    {
    }
    public static com.kingdee.eas.custom.dormitorysystem.dormitory.IDormitory getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.dormitory.IDormitory)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("5528EA9D") ,com.kingdee.eas.custom.dormitorysystem.dormitory.IDormitory.class);
    }
    
    public static com.kingdee.eas.custom.dormitorysystem.dormitory.IDormitory getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.dormitory.IDormitory)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("5528EA9D") ,com.kingdee.eas.custom.dormitorysystem.dormitory.IDormitory.class, objectCtx);
    }
    public static com.kingdee.eas.custom.dormitorysystem.dormitory.IDormitory getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.dormitory.IDormitory)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("5528EA9D"));
    }
    public static com.kingdee.eas.custom.dormitorysystem.dormitory.IDormitory getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.dormitory.IDormitory)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("5528EA9D"));
    }
}